/* Layout */

div.middle {
	@include outer-container;
	
	header {
		@include span-columns(12);
	}
	
	main {
		@include span-columns(9);
		
		padding: 30px 0px 30px 30px;
		
		&.full {
			@include span-columns(12);
			
			padding: 30px;
		}
	}
	
	aside {
		@include span-columns(3);
		@include omega();
		
		padding: 30px 30px 30px 0px;
	}
	
	footer {
		@include span-columns(12);
	}
}

@media all and (max-width: 900px) {
	div.middle {
		main {
			@include span-columns(8);
		}
		
		aside {
			@include span-columns(4);
			@include omega();
			
			padding: 30px;
		}
	}
}

@media all and (max-width: 750px) {
	div.middle {
		main {
			@include span-columns(7);
		}
		
		aside {
			@include span-columns(5);
			@include omega();
		}
	}
}

@media all and (max-width: 600px) {
	div.middle {
		main,
		aside {
			@include span-columns(12);
			
			padding: 20px 15px;
		}
	}
}
